summaryrefslogtreecommitdiff
path: root/contrib/splice3/setup-deb
diff options
context:
space:
mode:
Diffstat (limited to 'contrib/splice3/setup-deb')
-rwxr-xr-xcontrib/splice3/setup-deb29
1 files changed, 29 insertions, 0 deletions
diff --git a/contrib/splice3/setup-deb b/contrib/splice3/setup-deb
new file mode 100755
index 0000000..c9e3046
--- /dev/null
+++ b/contrib/splice3/setup-deb
@@ -0,0 +1,29 @@
+#!/bin/bash
+echo 'checking for python2.7'
+if which python2.7 >/dev/null; then
+ :
+else
+ echo 'python2.7 not found. Quiting... :-('
+ exit 1
+fi
+
+echo 'checking for man'
+if which man >/dev/null; then
+ :
+else
+ echo 'man not found. Quiting... :-('
+ exit 1
+fi
+
+echo 'checking for dpkg'
+if which dpkg >/dev/null; then
+ :
+else
+ echo 'dpkg not found. Quiting... :-('
+ exit 1
+fi
+
+echo 'configuring path to python2.7'
+PYPATH=`which python2.7`
+sed -e s^PYTHON^"$PYPATH"^g LINUX/splice3.py >LINUX/splice3.cp
+sed -e s^PYTHON^"$PYPATH"^g LINUX/splice3-deshadow.py >LINUX/splice3-deshadow.cp